org.apache.hadoop.hdfs.server.namenode

## Interface FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    FsImageProto.INodeSection.XAttrFeatureProto, FsImageProto.INodeSection.XAttrFeatureProto.Builder
  Enclosing class:
    FsImageProto.INodeSection

      public static interface FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FsImageProto.INodeSection.XAttrCompactProto` | `getXAttrs(int index)` `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`
    `int` | `getXAttrsCount()` `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`
    `List<FsImageProto.INodeSection.XAttrCompactProto>` | `getXAttrsList()` `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`
    `FsImageProto.INodeSection.XAttrCompactProtoOrBuilder` | `getXAttrsOrBuilder(int index)` `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`
    `List<? extends FsImageProto.INodeSection.XAttrCompactProtoOrBuilder>` | `getXAttrsOrBuilderList()` `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getXAttrsList

          List<FsImageProto.INodeSection.XAttrCompactProto> getXAttrsList()

      `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

    - #### getXAttrs

          FsImageProto.INodeSection.XAttrCompactProto getXAttrs(int index)

      `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

    - #### getXAttrsCount

          int getXAttrsCount()

      `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

    - #### getXAttrsOrBuilderList

          List<? extends FsImageProto.INodeSection.XAttrCompactProtoOrBuilder> getXAttrsOrBuilderList()

      `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

    - #### getXAttrsOrBuilder

          FsImageProto.INodeSection.XAttrCompactProtoOrBuilder getXAttrsOrBuilder(int index)

      `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.